//
//  LoadingButton.h
//  加载控件
//
//  Created by 邱沐泽 on 16/6/21.
//  Copyright © 2016年 邱沐泽. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface LoadingButton : UIControl

typedef void(^LoadingButtonBlock)();

@property (weak, nonatomic) IBOutlet UIActivityIndicatorView *aActivityIndicator;

@property (weak, nonatomic) IBOutlet UILabel *activityIndicatorLabel;

@property (weak, nonatomic) IBOutlet UIControl *controlView;

@property (nonatomic,copy) LoadingButtonBlock loadingButtonBlock;

@property (nonatomic, strong) UIColor* backgroundColor;

@property (nonatomic, strong) UIColor* textColor;

+ (instancetype)initWithNib;

- (void)loadingNot;

@end
