//
//  ViewController.m
//  加载控件
//
//  Created by 邱沐泽 on 16/6/21.
//  Copyright © 2016年 邱沐泽. All rights reserved.
//

#import "ViewController.h"

#import "LoadingButton.h"

@interface ViewController ()

@property (nonatomic, strong) LoadingButton *loadingButton;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    LoadingButton *loadingButton = [LoadingButton initWithNib];
    _loadingButton = loadingButton;
    loadingButton.backgroundColor = [UIColor greenColor];
    __weak __typeof(self)weakSelf = self;
    loadingButton.loadingButtonBlock = ^() {
        NSLog(@"Hello, World");
        [weakSelf.loadingButton loadingNot];
    };
    [self.view addSubview:loadingButton];
    loadingButton.center = self.view.center;
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}



@end
